<?xml version="1.0"?>
<!DOCTYPE filter SYSTEM "filter.dtd">
<filter title="Redirection and meta"
 id="8"
 time="0"
 desc="These are Python specific rules to rewrite some nasty URLs, notably redirections, and get rid of the rest of the meta tags."
 lang="Python">

<rewrite title="No meta tags 2"
 id="0"
 time="0"
 desc="Remove all meta tags except redirects. This is only recommended if you REALLY dont want to use &lt;meta http-equiv=&quot;Content-Type&quot;&gt; things. This just leaves the redirections."
 disable="1"
 tag="meta">
<attr name="http-equiv">^(?!(?i)refresh).+</attr>
<replace part="tag"/>
</rewrite>

<rewrite title="No redirection 1"
 id="1"
 time="0"
 desc="location, location, location">
<attr>redirect\.cgi\?.*?location=(?P&lt;replace&gt;[^=&quot;&amp;]+)</attr>
<replace part="attrval"/>
</rewrite>

<rewrite title="No redirection 2"
 id="2"
 time="0"
 desc="redirection at www.nist.gov">
<attr>www\.nist\.gov/cgi-bin/exit_nist\.cgi\?url=(?P&lt;replace&gt;[^=&quot;]+)</attr>
<replace part="attrval"/>
</rewrite>

<rewrite title="No redirection 3"
 id="3"
 time="0"
 desc="redirection at linuxapps.com">
<attr>(linuxapps\.com.*|redir\.asp)\?.*?url=(?P&lt;replace&gt;[^=&quot;&amp;]+)</attr>
<replace part="attrval"/>
</rewrite>

<rewrite title="No redirection 4"
 id="4"
 time="0">
<attr>www\.fileleech\.com/dl/\?.*?filepath=(?P&lt;replace&gt;[^=&quot;&amp;]+)</attr>
<replace part="attrval"/>
</rewrite>
</filter>