<?xml version="1.0"?>
<!DOCTYPE filter SYSTEM "filter.dtd">
<filter title="Miscellaneous"
 id="6"
 time="0"
 desc="Misc things we dont like in our HTML source :)">

<rewrite title="No meta tags 1"
 id="0"
 time="0"
 desc="Meta tags with name attribute are only for search engines."
 tag="meta">
<attr name="name"/>
<replace part="tag"/>
</rewrite>

<rewrite title="Remove IE shortcut icon"
 id="1"
 time="0"
 desc="Some HTML pages supply a link to a favicon.gif icon image and it gets loaded automatically from Internet Explorer. Some people dont like this."
 tag="link">
<attr name="rel">shortcut icon</attr>
<replace part="tag"/>
</rewrite>

<rewrite title="Remove IFRAMEs"
 id="2"
 time="0"
 desc="&lt;iframe&gt; content is almost always advertising. So remove it."
 tag="iframe">
</rewrite>

<rewrite title="Remove NOFRAMES"
 id="3"
 time="0"
 desc="Most of the browsers have frames so they dont need the &lt;noframes&gt; content."
 tag="noframes">
</rewrite>

<nocomments title="Remove all HTML comments"
 id="4"
 time="0"
 desc="I am not interested in HTML comments."/>

<rewrite title="Replace BLINK with B"
 id="5"
 time="0"
 desc="Dont we all hate the &lt;blink&gt; tag?"
 tag="blink">
<replace part="tagname">b</replace>
</rewrite>

<rewrite title="Tracker images"
 id="6"
 time="0"
 desc="Several sites use 1x1 images to track users."
 tag="img">
<attr name="height">^1$</attr>
<attr name="width">^1$</attr>
</rewrite>
</filter>